Patchwork [3/3] gettext: do not set libncurses prefix explicitly

login
register
mail settings
Submitter Scott Garman
Date March 13, 2012, 2:08 a.m.
Message ID <2e3c4ca4c3c2dfc8b8e1333e61b239251b4f4efb.1331604310.git.scott.a.garman@intel.com>
Download mbox | patch
Permalink /patch/23091/
State Accepted
Commit 37b9d140b5d55af4f77baab0c0b0343d8b5e8b6c
Headers show

Comments

Scott Garman - March 13, 2012, 2:08 a.m.
The --with-libncurses-prefix configure option was added before
this recipe had ncurses in DEPENDS, so it should be safe to
remove it.

Signed-off-by: Scott Garman <scott.a.garman@intel.com>
---
 meta/recipes-core/gettext/gettext_0.18.1.1.bb |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)
Richard Purdie - March 13, 2012, 1:16 p.m.
On Mon, 2012-03-12 at 19:08 -0700, Scott Garman wrote:
> The --with-libncurses-prefix configure option was added before
> this recipe had ncurses in DEPENDS, so it should be safe to
> remove it.
> 
> Signed-off-by: Scott Garman <scott.a.garman@intel.com>
> ---
>  meta/recipes-core/gettext/gettext_0.18.1.1.bb |    5 +----
>  1 files changed, 1 insertions(+), 4 deletions(-)
> 
> diff --git a/meta/recipes-core/gettext/gettext_0.18.1.1.bb b/meta/recipes-core/gettext/gettext_0.18.1.1.bb
> index 3c65dca..daee5c0 100644
> --- a/meta/recipes-core/gettext/gettext_0.18.1.1.bb
> +++ b/meta/recipes-core/gettext/gettext_0.18.1.1.bb
> @@ -5,7 +5,7 @@ SECTION = "libs"
>  LICENSE = "GPL-3+ & LGPL-2.1+"
>  LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504"
>  
> -PR = "r7"
> +PR = "r8"
>  DEPENDS = "libxml2-native gettext-native virtual/libiconv ncurses expat"
>  DEPENDS_virtclass-native = "libxml2-native"
>  PROVIDES = "virtual/libintl virtual/gettext"
> @@ -21,8 +21,6 @@ SRC_URI_append_libc-uclibc = " file://wchar-uclibc.patch \
>  SRC_URI[md5sum] = "3dd55b952826d2b32f51308f2f91aa89"
>  SRC_URI[sha256sum] = "93ac71a7afa5b70c1b1032516663658c51e653087f42a3fc8044752c026443e9"
>  
> -#PARALLEL_MAKE = ""
> -
>  inherit autotools
>  
>  EXTRA_OECONF += "--without-lispdir \
> @@ -32,7 +30,6 @@ EXTRA_OECONF += "--without-lispdir \
>                   --disable-native-java \
>                   --disable-openmp \
>                   --with-included-glib \
> -                 --with-libncurses-prefix=${STAGING_LIBDIR}/.. \
>                   --without-emacs \
>                   --without-cvs \
>                   --without-git \

Sadly this breaks gettext for me as I'm now seeing things like:

i586-poky-linux-libtool: link: i586-poky-linux-gcc -m32 -march=i586 --sysroot=/media/build1/poky/build/tmp/sysroots/qemux86 -std=gnu99 -O2 -pipe -g -feliminate-unused-debug-types -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -o .libs/recode-sr-latin recode_sr_latin-recode-sr-latin.o recode_sr_latin-filter-sr-latin.o  ../gnulib-lib/.libs/libgettextlib.so -L/usr/lib -lc -lncurses
/media/build1/poky/build/tmp/sysroots/x86_64-linux/usr/libexec/i586-poky-linux/gcc/i586-poky-linux/4.6.4/ld: warning: library search path "/usr/lib" is unsafe for cross-compilation
/media/build1/poky/build/tmp/sysroots/x86_64-linux/usr/libexec/i586-poky-linux/gcc/i586-poky-linux/4.6.4/ld: skipping incompatible /usr/lib/libtinfo.so when searching for -ltinfo
/media/build1/poky/build/tmp/sysroots/x86_64-linux/usr/libexec/i586-poky-linux/gcc/i586-poky-linux/4.6.4/ld: skipping incompatible /usr/lib/libtinfo.a when searching for -ltinfo

in the logs which triggers a QA warning.

Cheers,

Richard
Scott Garman - March 13, 2012, 7:58 p.m.
On 03/13/2012 06:16 AM, Richard Purdie wrote:
> On Mon, 2012-03-12 at 19:08 -0700, Scott Garman wrote:
>> The --with-libncurses-prefix configure option was added before
>> this recipe had ncurses in DEPENDS, so it should be safe to
>> remove it.
>>
>> Signed-off-by: Scott Garman<scott.a.garman@intel.com>
>> ---
>>   meta/recipes-core/gettext/gettext_0.18.1.1.bb |    5 +----
>>   1 files changed, 1 insertions(+), 4 deletions(-)
>>
>> diff --git a/meta/recipes-core/gettext/gettext_0.18.1.1.bb b/meta/recipes-core/gettext/gettext_0.18.1.1.bb
>> index 3c65dca..daee5c0 100644
>> --- a/meta/recipes-core/gettext/gettext_0.18.1.1.bb
>> +++ b/meta/recipes-core/gettext/gettext_0.18.1.1.bb
>> @@ -5,7 +5,7 @@ SECTION = "libs"
>>   LICENSE = "GPL-3+&  LGPL-2.1+"
>>   LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504"
>>
>> -PR = "r7"
>> +PR = "r8"
>>   DEPENDS = "libxml2-native gettext-native virtual/libiconv ncurses expat"
>>   DEPENDS_virtclass-native = "libxml2-native"
>>   PROVIDES = "virtual/libintl virtual/gettext"
>> @@ -21,8 +21,6 @@ SRC_URI_append_libc-uclibc = " file://wchar-uclibc.patch \
>>   SRC_URI[md5sum] = "3dd55b952826d2b32f51308f2f91aa89"
>>   SRC_URI[sha256sum] = "93ac71a7afa5b70c1b1032516663658c51e653087f42a3fc8044752c026443e9"
>>
>> -#PARALLEL_MAKE = ""
>> -
>>   inherit autotools
>>
>>   EXTRA_OECONF += "--without-lispdir \
>> @@ -32,7 +30,6 @@ EXTRA_OECONF += "--without-lispdir \
>>                    --disable-native-java \
>>                    --disable-openmp \
>>                    --with-included-glib \
>> -                 --with-libncurses-prefix=${STAGING_LIBDIR}/.. \
>>                    --without-emacs \
>>                    --without-cvs \
>>                    --without-git \
>
> Sadly this breaks gettext for me as I'm now seeing things like:
>
> i586-poky-linux-libtool: link: i586-poky-linux-gcc -m32 -march=i586 --sysroot=/media/build1/poky/build/tmp/sysroots/qemux86 -std=gnu99 -O2 -pipe -g -feliminate-unused-debug-types -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -o .libs/recode-sr-latin recode_sr_latin-recode-sr-latin.o recode_sr_latin-filter-sr-latin.o  ../gnulib-lib/.libs/libgettextlib.so -L/usr/lib -lc -lncurses
> /media/build1/poky/build/tmp/sysroots/x86_64-linux/usr/libexec/i586-poky-linux/gcc/i586-poky-linux/4.6.4/ld: warning: library search path "/usr/lib" is unsafe for cross-compilation
> /media/build1/poky/build/tmp/sysroots/x86_64-linux/usr/libexec/i586-poky-linux/gcc/i586-poky-linux/4.6.4/ld: skipping incompatible /usr/lib/libtinfo.so when searching for -ltinfo
> /media/build1/poky/build/tmp/sysroots/x86_64-linux/usr/libexec/i586-poky-linux/gcc/i586-poky-linux/4.6.4/ld: skipping incompatible /usr/lib/libtinfo.a when searching for -ltinfo
>
> in the logs which triggers a QA warning.

Argh. Please revert that commit then. It was harmless on my two build 
test systems, but apparently it is needed on others to avoid host 
contamination.

Scott

Patch

diff --git a/meta/recipes-core/gettext/gettext_0.18.1.1.bb b/meta/recipes-core/gettext/gettext_0.18.1.1.bb
index 3c65dca..daee5c0 100644
--- a/meta/recipes-core/gettext/gettext_0.18.1.1.bb
+++ b/meta/recipes-core/gettext/gettext_0.18.1.1.bb
@@ -5,7 +5,7 @@  SECTION = "libs"
 LICENSE = "GPL-3+ & LGPL-2.1+"
 LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504"
 
-PR = "r7"
+PR = "r8"
 DEPENDS = "libxml2-native gettext-native virtual/libiconv ncurses expat"
 DEPENDS_virtclass-native = "libxml2-native"
 PROVIDES = "virtual/libintl virtual/gettext"
@@ -21,8 +21,6 @@  SRC_URI_append_libc-uclibc = " file://wchar-uclibc.patch \
 SRC_URI[md5sum] = "3dd55b952826d2b32f51308f2f91aa89"
 SRC_URI[sha256sum] = "93ac71a7afa5b70c1b1032516663658c51e653087f42a3fc8044752c026443e9"
 
-#PARALLEL_MAKE = ""
-
 inherit autotools
 
 EXTRA_OECONF += "--without-lispdir \
@@ -32,7 +30,6 @@  EXTRA_OECONF += "--without-lispdir \
                  --disable-native-java \
                  --disable-openmp \
                  --with-included-glib \
-                 --with-libncurses-prefix=${STAGING_LIBDIR}/.. \
                  --without-emacs \
                  --without-cvs \
                  --without-git \